> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/events/get-session-list.md).

# Get Session List

## Get Session List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/event?action=getSessionList`

Get the list of sessions at an event

#### Path Parameters

| Name    | Type    | Description          |
| ------- | ------- | -------------------- |
| eventId | integer | The event identifier |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 1,
        "start": 0,
        "perPage": 100,
        "count": 1
    },
    "results": [
        {
            "id": 1,
            "eventId": 1,
            "name": "Test Session 1",
            "startDate": "2018-04-18 03:30:00 UTC",
            "endDate": "2018-04-18 15:00:00 UTC",
            "description": null,
            "roomId": 1,
            "isOptional": true,
            "maxCapacity": 10,
            "costAmount": 100,
            "isTaxFree": true,
            "autoCloseDate": "2025-03-12 19:30:00 UTC",
            "setupTime": 3,
            "breakdownTime": 4,
            "speakers": [
                1,
                2581
            ],
            "showInAgenda": true,
            "showTime": true,
            "onlyForCertainTickets": true,
            "tickets": [
                1,
                576
            ],
            "notes": "Session notes",
            "setupNotes": "setup notes",
            "createdDate": "2018-04-19 05:51:17 UTC",
            "modifiedDate": "2025-03-11 23:17:05 UTC",
            "allowGuests": true
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Example Request

`Example: Fetch the list of sessions at an event`

```javascript
{
  "eventId":1
}
```

## Returns

A collection object with the following properties of objects in the results

| Property              | Description                                                                                  |
| --------------------- | -------------------------------------------------------------------------------------------- |
| id                    | The unique identifier of the event session                                                   |
| eventId               | The unique identifier of the event to which the event session belong                         |
| name                  | Session name                                                                                 |
| startDate             | The session start date & time                                                                |
| endDate               | The session end date & time                                                                  |
| description           | The session HTML description                                                                 |
| roomId                | The unique identifier of the room to which the event session belong                          |
| isOptional            | Whether or not the session is optional                                                       |
| maxCapacity           | Maximum # of attendees who can register for the session                                      |
| costAmount            | Optional session cost                                                                        |
| isTaxFree             | Whether or not the session tax to be applied                                                 |
| autoCloseDate         | The session auto close date                                                                  |
| setupTime             | The setup time of the session (in minutes)                                                   |
| breakdownTime         | The breakdown time of the session (in minutes)                                               |
| speakers              | Array of a unique identifier of the speakers to which the event session belong               |
| showInAgenda          | Whether or not to show the session in the agenda                                             |
| showTime              | Whether or not to show the time of the session                                               |
| onlyForCertainTickets | Whether or not the session is available for certain tickets only                             |
| tickets               | The specific tickets that are available for this session (when onlyForCertainTickets = true) |
| notes                 | Any notes for the session                                                                    |
| setupNotes            | Setup notes                                                                                  |
| createdDate           | The session creation date & time                                                             |
| modifiedDate          | The session last modified date & time                                                        |
| allowGuests           | Whether or not guests are allowed to register for this session                               |

## Throws

| Code                 | Description          |
| -------------------- | -------------------- |
| Specific Code: 24456 | Event does not exist |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/events/get-session-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
